#ifndef BIBUNM_GETREGISTRY_H
#define BIBUNM_GETREGISTRY_H

#include "bibun_messenging/request.h"

namespace bibunm
{

class Receiver;

namespace internal_objects
{

class GetRegistry : public Request
{
   friend class ::bibunm::Receiver;
public:
   GetRegistry();

   virtual ~GetRegistry();
protected:
   virtual void handle_protocol_headers(std::map<std::string, std::string> &protocol_headers);
   virtual std::map<std::string, std::string> create_protocol_headers() const;
private:
   GetRegistry(std::map<std::string, std::string> protocol_headers);
   virtual const char *wireName() const final;

   static const char *_wire_name;
};

}
}

#endif // BIBUNM_GETREGISTRY_H
